%define upstream_name    Crypt-RIPEMD160
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Crypt-RIPEMD160 module for perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    %{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
%description
The %{upstream_name} module/extension allows you to use the RIPEMD160 Message
Digest algorithm from within Perl programs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
perl -pi -e "s,/usr/local/bin/perl,%{_bindir}/perl," misc/ripemd160_driver.pl

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install
find misc -type f -exec chmod 0644 {} \;

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorarch}/Crypt
%{perl_vendorarch}/auto/Crypt
%{_mandir}/*/*

%changelog
* Tue Jun 07 2022 umeabot <umeabot> 0.80.0-4.mga9
+ Revision: 1861682
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.80.0-3.mga9
+ Revision: 1795616
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.80.0-2.mga9
+ Revision: 1726488
- Rebuild for perl 5.34

* Thu Oct 22 2020 tv <tv> 0.80.0-1.mga8
+ Revision: 1638212
- update to 0.08

* Wed Jun 17 2020 umeabot <umeabot> 0.60.0-12.mga8
+ Revision: 1594384
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.60.0-11.mga8
+ Revision: 1529022
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tv <tv> 0.60.0-10.mga8
+ Revision: 1432978
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.60.0-9.mga7
+ Revision: 1292595
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 guillomovitch <guillomovitch> 0.60.0-8.mga7
+ Revision: 1248614
- rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.60.0-7.mga7
+ Revision: 1163713
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.60.0-6.mga7
+ Revision: 1148706
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.60.0-5.mga7
+ Revision: 1127341
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 0.60.0-4.mga6
+ Revision: 1024632
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.60.0-3.mga6
+ Revision: 957006
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.60.0-2.mga6
+ Revision: 844760
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 0.60.0-1.mga6
+ Revision: 840698
- New version 0.06 + Rebuild for the new perl

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-10.mga5
+ Revision: 747105
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-9.mga5
+ Revision: 684057
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.50.0-8.mga5
+ Revision: 630962
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.50.0-7.mga4
+ Revision: 524293
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.50.0-6.mga4
+ Revision: 430611
- perl 5.18.0 rebuild

* Wed May 29 2013 tv <tv> 0.50.0-5.mga4
+ Revision: 430016
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-4.mga3
+ Revision: 364948
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.50.0-3.mga3
+ Revision: 250422
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.50.0-2.mga2
+ Revision: 103859
- perl 5.14

* Wed Apr 13 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 84289
- update to 0.05

* Fri Jan 21 2011 jquelin <jquelin> 0.40.0-2.mga1
+ Revision: 29999
- mageia rebuild
- imported package perl-Crypt-RIPEMD160


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.40.0-2mdv2011.0
+ Revision: 555722
- rebuild

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.40.0-1mdv2010.0
+ Revision: 403039
- rebuild using %%perl_convert_version

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.04-4mdv2009.0
+ Revision: 256342
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.04-2mdv2008.1
+ Revision: 152042
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.04-1mdv2008.1
+ Revision: 136699
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Sep 13 2006 Oden Eriksson <oeriksson@mandriva.com> 0.04-1mdv2007.0
- rebuild

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.04-1mdk
- initial Mandriva package

